package com.ruoyi.model.service;

import com.ruoyi.common.core.domain.AjaxResult;
import org.springframework.data.domain.Pageable;

public interface IAApiAppletHhrWorkOutService {

    //合伙人工作台 - 绑定用户基础信息
    AjaxResult HhrInfo(Long appUserId);


    //合伙人工作台 - 绑定二维码
    AjaxResult HhrCode(Long appUserId);


    //合伙人工作台 - 我的用户列表 0 未下单 1已下单
    AjaxResult HhrMyUserList(Long appUserId,Integer state, Pageable page);


    //合伙人工作台 - 根据用户标识查询用户下单详细信息
    AjaxResult HhrMyUserGetById(Long appUserId);

    //合伙人等级升级检查
    AjaxResult checkPartnerUpgrade(Long appUserId);

}
